﻿$().ready(function () {
    //pickup drop off calendar date picker settings
    $('.pUpDate, .dOffDate').datepicker({
        numberOfMonths: 2,
        showButtonPanel: true,
        beforeShow: customRange,
        dateFormat: 'dd-mm-yy',
        showOn: 'both',
        buttonImage: 'images/calendar-icon.gif',
        buttonImageOnly: true,
        buttonText: 'Show Date Picker'
    });

    //set the drop off date to be one day ahead of the pickup date
    $('.pUpDate').change(function () {
        var nextDayDate = $('.pUpDate').datepicker('getDate', '+1d');
        nextDayDate.setDate(nextDayDate.getDate() + 1);
        $('.dOffDate').datepicker('setDate', nextDayDate);
    });

});

//ensure that the drop off date cannot be before the pickup date
function customRange(a) {
    var b = new Date();
    var c = new Date(b.getFullYear(), b.getMonth(), b.getDate());
    if (a.id == 'DropoffDate') {
        if ($('.pUpDate').datepicker('getDate') != null) {
            c = $('.pUpDate').datepicker('getDate');
        }
    }
    return {
        minDate: c
    }
}